# Generated by Django 3.2.13 on 2022-04-25 14:55

from django.db import migrations


class Migration(migrations.Migration):

    dependencies = [
        ('relatorios', '0034_cadastrosterritoriosorganizacao'),
    ]

    operations = [
        migrations.RunSQL(
            """
            DROP VIEW IF EXISTS relatorios_cadastrosusuariasorganizacao;
            CREATE OR REPLACE VIEW relatorios_cadastrosusuariasorganizacao AS
            WITH data AS (
                SELECT EXTRACT(EPOCH FROM date_trunc('day', date_joined)) AS dia,
                       count(1)                                           AS ct,
		       ou.organizacao_id                                  AS organizacao_id
                FROM usuaria u
		LEFT JOIN main_organizacaousuaria ou
		  ON u.id=ou.usuaria_id
                GROUP BY ou.organizacao_id, 1
            )
            SELECT row_number() OVER ()                                                             AS id,
                   dia,
                   sum(ct) OVER (ORDER BY dia ASC ROWS BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW) AS qtd_usuarias,
                   organizacao_id
            FROM data;
            """),
    ]
